Create Opportunity Form

Create a new form instance in an opportunity. Notes: - `templateId` is required. - `name` is optional; defaults to the template's name. - Opportunities cannot be assigned to a phase, so there is no `phaseInstanceId` field on this endpoint.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

opportunity_idintegerRequired
Opportunity identifier

Request

This endpoint expects an object.
templateIdintegerRequired
Template to use for the form
namestringOptional
Optional. Name for the created form. Defaults to the template's name.

Response

Form created successfully
idintegerOptional
Created form identifier
templateIdintegerOptional
opportunityIdintegerOptional
typestringOptional
statusstringOptional
namestringOptional
createdAtstringOptionalformat: "date-time"
updatedAtstringOptionalformat: "date-time"

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error